All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
matrix_solve.hpp File Reference

OpenCL kernel file for dense matrix solves with multiple right hand side (BLAS level 3) More...

`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/ocl/kernel.hpp"`
`#include "viennacl/ocl/platform.hpp"`
`#include "viennacl/ocl/utils.hpp"`
`#include "viennacl/linalg/opencl/kernels/matrix.hpp"`

Go to the source code of this file.

## Classes

struct | viennacl::linalg::opencl::kernels::matrix_solve< NumericT, LayoutT1, LayoutT2 >
| Main kernel class for the generation of matrix solve kernels. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::opencl
| Holds all routines providing OpenCL linear algebra operations.
| viennacl::linalg::opencl::kernels
| Contains the OpenCL kernel generation functions for a predefined set of functionality.

## Functions

template<typename StringT >
void | viennacl::linalg::opencl::kernels::generate_matrix_solve_blas3 (StringT &source, std::string const &numeric_string, bool row_major_A, bool row_major_B, bool upper_solve, bool unit_diagonal)

## Detailed Description

OpenCL kernel file for dense matrix solves with multiple right hand side (BLAS level 3)

Definition in file matrix_solve.hpp.